#ifndef DIJKSTRASERV_H
#define DIJKSTRASERV_H

#include "dijkstragraph.h"
#include "dijkstrasearch.h"
#include "logging.h"

#include <libsoup/soup.h>

struct dijkstra_serv {
	struct dijkstra_solver *solver;
	int port;

	SoupServer *soupserver;
};

struct dijkstra_serv *dijkstra_serv_new(
		struct dijkstra_solver *solver,
		int port);
int dijkstra_serv_run(struct dijkstra_serv *serv);

#endif // DIJKSTRASERV_H
